Page MenuHomePhabricator

If deepcat keyword fails with too many categories, empty query is run
Closed, ResolvedPublic

Description

If deepcat: keyword returns an error and not other query criteria has been provided, the engine runs query that essentially searches for nothing. Instead it should not run anything and return empty result.

If other query criteria has been provided then it may be ok to run the search and provide result, but empty search is always useless.

Event Timeline

Smalyshev created this task.Mar 9 2018, 8:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2018, 8:34 PM
Smalyshev moved this task from Up Next to Current work on the Discovery-Search board.

Hi @Smalyshev do you have an estimation when this bug will approximately be fixed?

Smalyshev triaged this task as High priority.Mar 16 2018, 5:01 PM
Smalyshev added a project: User-Smalyshev.
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Mar 16 2018, 6:47 PM

Change 420113 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Disable results if there are too many categories

https://gerrit.wikimedia.org/r/420113

Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Mar 16 2018, 7:27 PM

@Lea_WMDE to confirm, the fix would be if there are too many categories, the query would fail (return no results at all).

Change 420113 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Disable results if there are too many categories

https://gerrit.wikimedia.org/r/420113

@Smalyshev confirmed! There will be the error message, though, right?

Smalyshev closed this task as Resolved.Mar 21 2018, 4:54 PM
Smalyshev claimed this task.